# Class HelpUIEventLoop

java.lang.Object
org.eclipse.help.ui.internal.HelpUIEventLoop

public class HelpUIEventLoop extends Object

## Constructor Summary

Constructors
Constructor
Description
`HelpUIEventLoop()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isRunning()`
`static void`
`run()`
Called by base in stand-alone help since it cannot run event loop
`static void`
`waitFor()`
Blocks until the loop is started (Display created)
`static void`
`wakeup()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HelpUIEventLoop

public HelpUIEventLoop()

## Method Details

### run

public static void run()
Called by base in stand-alone help since it cannot run event loop

### wakeup

public static void wakeup()

### waitFor

public static void waitFor()
Blocks until the loop is started (Display created)

### isRunning

public static boolean isRunning()

Returns:
  Returns if loop is running.